Page MenuHomeFreeBSD

CMake 3.10 needs C++11
ClosedPublic

Authored by adridg on Dec 30 2017, 1:23 PM.
Tags
None
Referenced Files
Unknown Object (File)
Dec 27 2023, 5:22 AM
Unknown Object (File)
Dec 20 2023, 1:45 AM
Unknown Object (File)
Dec 12 2023, 1:40 AM
Unknown Object (File)
Nov 23 2023, 9:50 PM
Unknown Object (File)
Nov 23 2023, 5:14 PM
Unknown Object (File)
Oct 30 2023, 9:22 PM
Unknown Object (File)
Oct 15 2023, 7:30 AM
Unknown Object (File)
Oct 13 2023, 10:17 AM
Subscribers

Details

Reviewers
tcberner
rakuco
Summary

Release notes at https://blog.kitware.com/cmake-3-10-0-available-for-download/

  • Support for building CMake itself with C++98 compilers was dropped. CMake is now implemented using C++11.

Use C++11 then. This has no effect on amd64, x86 where clang was already
the base compiler, with C++11 support, but does affect PowerPC and others.

PR 224721

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Lint Coverage
Unit
No Test Coverage
Build Status
Buildable 13946
Build 14142: arc lint + arc unit

Event Timeline

This revision is now accepted and ready to land.Dec 30 2017, 1:34 PM

As antoine pointed out that the exp-run won't do us any good, just go a head.

This was fixed with r457650